EAttributeType Struct Reference

`#include <mia/core/attributetype.hh>`

Inheritance diagram for EAttributeType:
[legend]

## Static Public Member Functions

static bool | is_vector (int type)
static int | scalar_type (int type)

## Static Public Attributes

static const int | attr_bool = 1
static const int | attr_double = 11
static const int | attr_float = 10
static const int | attr_schar = 3
static const int | attr_sint = 7
static const int | attr_slong = 9
static const int | attr_sshort = 5
static const int | attr_string = 12
static const int | attr_uchar = 2
static const int | attr_uint = 6
static const int | attr_ulong = 8
static const int | attr_unknown = 0
static const int | attr_ushort = 4
static const int | vector_bit = 0x80000000

## Detailed Description

Definition at line 32 of file attributetype.hh.

## Member Function Documentation

## is_vector()

bool EAttributeType::is_vector | ( | int | type | ) |

inline static

Definition at line 54 of file attributetype.hh.

References vector_bit.

## scalar_type()

int EAttributeType::scalar_type | ( | int | type | ) |

inline static

Definition at line 49 of file attributetype.hh.

## Field Documentation

## attr_bool

const int EAttributeType::attr_bool = 1

static

Definition at line 34 of file attributetype.hh.

## attr_double

const int EAttributeType::attr_double = 11

static

Definition at line 44 of file attributetype.hh.

## attr_float

const int EAttributeType::attr_float = 10

static

Definition at line 43 of file attributetype.hh.

## attr_schar

const int EAttributeType::attr_schar = 3

static

Definition at line 36 of file attributetype.hh.

## attr_sint

const int EAttributeType::attr_sint = 7

static

Definition at line 40 of file attributetype.hh.

## attr_slong

const int EAttributeType::attr_slong = 9

static

Definition at line 42 of file attributetype.hh.

## attr_sshort

const int EAttributeType::attr_sshort = 5

static

Definition at line 38 of file attributetype.hh.

## attr_string

const int EAttributeType::attr_string = 12

static

Definition at line 45 of file attributetype.hh.

## attr_uchar

const int EAttributeType::attr_uchar = 2

static

Definition at line 35 of file attributetype.hh.

## attr_uint

const int EAttributeType::attr_uint = 6

static

Definition at line 39 of file attributetype.hh.

## attr_ulong

const int EAttributeType::attr_ulong = 8

static

Definition at line 41 of file attributetype.hh.

## attr_unknown

const int EAttributeType::attr_unknown = 0

static

Definition at line 33 of file attributetype.hh.

Referenced by TAttribute< T >::type_id().

## attr_ushort

const int EAttributeType::attr_ushort = 4

static

Definition at line 37 of file attributetype.hh.

## vector_bit

const int EAttributeType::vector_bit = 0x80000000

static

Definition at line 47 of file attributetype.hh.

Referenced by is_vector().

The documentation for this struct was generated from the following file:

- attributetype.hh